User account creation filtered due to spam.

Bug 2010 - Internal error: Segmentation fault (version 2.97 20010207)
Summary: Internal error: Segmentation fault (version 2.97 20010207)
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 2.97
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-invalid-code
Depends on:
Blocks:
 
Reported: 2001-02-16 21:16 UTC by carlo
Modified: 2003-07-25 17:33 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
bcd2str.ii.bz2 (63.33 KB, application/octet-stream)
2003-05-21 15:16 UTC, carlo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description carlo 2001-02-16 21:16:00 UTC
ICE on illegal code (I forgot a ';' after the while()
of a do { .. } while()

Release:
gcc version 2.97 20010207 (experimental)

Environment:
linux

How-To-Repeat:
/usr/local/gcc/lib/gcc-lib/i686-pc-linux-gnu/2.97/cc1plus -fpreprocessed bcd2str.ii -quiet -dumpbase bcd2str.cc -g -Wall -Woverloaded-virtual -Wundef -Wpointer-arith -Winline -Wwrite-strings -Werror -version -o bcd2str.s
bcd2str.ii.bz2 is attached.
Comment 1 carlo 2001-02-16 21:16:00 UTC
Fix:
Work around: add the semi-colon.
Comment 2 Craig Rodrigues 2001-02-17 12:58:29 UTC
From: Craig Rodrigues <rodrigc@mediaone.net>
To: gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org, carlo@alinoe.com,
   rodrigc@mediaone.net
Cc:  
Subject: Re: c++/2010
Date: Sat, 17 Feb 2001 12:58:29 -0500

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=2010&database=gcc
 
 I tried to reproduce this test case, with a newer gcc snapshot
 from CodeSourcery and did not get a ICE:
 
 
 
 -- GNU CPP version 2.97 20010211 (experimental) (cpplib) (i386 Linux/ELF)
 GNU C++ version 2.97 20010211 (experimental) (i386-pc-linux-gnu)
         compiled by GNU C version 2.97 20010211 (experimental).
 In file included from ../include/libcw/debug.h:675,
                  from bcd2str.cc:15:
 ../include/libcw/debugmalloc.h: In function
    `libcw::debug::_internal_::Desperation&
    libcw::debug::operator<<(libcw::debug::_internal_::Desperation&, int)':
 ../include/libcw/debugmalloc.h:310: parse error before `(' token
 ../include/libcw/debugmalloc.h:304: confused by earlier errors, bailing out
 
 Should this report be closed?
 
 --
 Craig Rodrigues
 http://www.gis.net/~craigr
 rodrigc@mediaone.net
 
 
 
Comment 3 Kriang Lerdsuwanakij 2001-02-18 08:47:54 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Agree with submitter.
Comment 4 Kriang Lerdsuwanakij 2001-02-18 16:47:54 UTC
From: lerdsuwa@gcc.gnu.org
To: carlo@alinoe.com, gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org
Cc:  
Subject: Re: c++/2010
Date: 18 Feb 2001 16:47:54 -0000

 Synopsis: Internal error: Segmentation fault (version 2.97 20010207)
 
 State-Changed-From-To: open->closed
 State-Changed-By: lerdsuwa
 State-Changed-When: Sun Feb 18 08:47:54 2001
 State-Changed-Why:
     Agree with submitter.
 
 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=2010&database=gcc